Subject: bug#7229: 23.1; ido guess and ffap bug

From: Leo Liu <[email-masked]>
Date: Fri, 12 Jul 2013 09:43:33 +0800

On 2013-07-12 09:20 +0800, Leo Liu wrote:
> Then maybe call it sub-optimal default behavior instead of a bug.

>From my experience I agree.

I enabled ido-use-url-at-point and ido-use-filename-at-point for a while
and was constantly annoyed by false positives and negatives. I have set
both to nil in the last few years.

Maybe the feature can be changed this way:

 1. remove both ido-use-url-at-point and ido-use-filename-at-point
 2. when ido-find-file is invoked with prefix, use ffap.

You can experiment this with the following:

(setq ido-use-filename-at-point nil
      ido-use-url-at-point nil)
(defadvice ido-file-internal (around ffap activate)
  "When called with a prefix, use `ffap' instead."
  (if current-prefix-arg
      (ffap)
    ad-do-it))

Let me know if this is a good idea and should be part of ido.el. Thanks.

Leo